Returns a list of Store Vendors.
Deprecated:
Use this method if you want to get a list of Store Vendor.
Available for unit only
- Default: ID, Description, Hidden Permissions: All users.
Query Parameters
- Type: stringDescription
Contains Used to filter by Store Vendor description
- Type: stringMode
Used to filter by actions which are allowed for vendors.
Values: Purchasing, PurchaseOrders, SuggestedOrders, Unhidden, All
- Type: stringFields
This parameter is used to specify a comma delimited list of fields to return for an object. A field group can also be specified in the following format: 'fieldGroupName'. All fields for the object can be returned by specifying 'All'
'Default' group is always shown, even if Fields parameter is not specified. 'Lookup' group will be shown if a model is a child of the required one.
- Type: stringapi
-version
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Responses
curl /StoreVendors \
--header 'DCKey: YOUR_SECRET_TOKEN'
{
"Data": [
{
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null,
"Hidden": null,
"RegularInvoiceAllowed": false,
"ManualCheckAllowed": false,
"PaidInAllowed": false,
"PaidOutAllowed": false,
"CreditMemoAllowed": false,
"PurchaseOrderAllowed": false,
"EnableB2B": false,
"B2BIntegration": {
"ID": null,
"Description": null
},
"ReadyToExportPO": false,
"Vendor": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null,
"Hidden": null,
"RegularInvoiceAllowed": false,
"ManualCheckAllowed": false,
"PaidInAllowed": false,
"PaidOutAllowed": false,
"CreditMemoAllowed": false,
"PurchaseOrderAllowed": false,
"EnableB2B": false,
"EDIVendorGlobalCode": null,
"IsProductionKitchen": false,
"DCItemsAllowed": false,
"AutoInvoiceNumber": false,
"AutoCreditMemoNumber": false,
"MultipleInvoicesAllowed": false,
"RequireReturnReason": false,
"AccountLimits": [
{
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null
}
],
"PaymentTerms": null
},
"DeliverySchedule": [
{
"Frequency": {
"ID": "string",
"Description": null
},
"FrequencyOption": [
1
],
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"LeadDays": null
}
],
"PayToCode": null,
"Address1": null,
"Address2": null,
"City": null,
"State": null,
"Zip": null,
"Country": null,
"ContactName": null,
"Work": null,
"Cell": null,
"Fax": null,
"Email": null,
"WebSite": null,
"InvoiceType": {
"ID": null,
"Description": null
},
"AllowModifiedAccount": false,
"AllowModifiedAddress": false,
"AllowModifiedContact": false,
"AllowModifiedOptions": false,
"VendorUnitID": null,
"VendorBranchID": null,
"VendorDivisionID": null,
"POFileMask": null,
"EnablePOExport": false,
"B2BPartnerID": null,
"B2BUserName": null,
"B2BPassword": null,
"B2BDivision": null,
"B2BCustomerNumber": null,
"B2BDepartmentNumber": null,
"AccountingLinked": false,
"ISAGSSenderID": null,
"SenderInterchangeQualifier": null,
"ReceiverInterchangeQualifier": null,
"BillTo": null,
"AddedByUnit": false,
"ImageRequired": false,
"OrderingBuffer": 1,
"IsEarlyDelivery": null,
"AutoApproveInvoice": null,
"MultipleInvoices": false,
"DefaultSourceForSuggestOrder": null,
"AllowOrderDueAlert": null,
"MinQtyWarning": null
}
]
}